<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductLocaleTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product_locale', function (Blueprint $table) {
            $table->increments('id');
            $table->string('locale');
            $table->string('product_id');
            $table->string('product_name')->nullable();
            $table->string('product_alt')->nullable();
            $table->text('product_content')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_locale');
    }
}
